diff --git a/policy.sgml b/policy.sgml
index 642f672..29a7db4 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -1858,8 +1858,9 @@
 	<p>
 	  The following targets are required and must be implemented
 	  by <file>debian/rules</file>: <tt>clean</tt>, <tt>binary</tt>,
-	  <tt>binary-arch</tt>, <tt>binary-indep</tt>, and <tt>build</tt>.
-	  These are the targets called by <prgn>dpkg-buildpackage</prgn>.
+	  <tt>binary-arch</tt>, <tt>binary-indep</tt>, <tt>build</tt>,
+	  <tt>build-arch</tt>, and <tt>build-indep</tt>.  These are the
+	  targets called by <prgn>dpkg-buildpackage</prgn>.
 	</p>
 
 	<p>
@@ -1943,43 +1944,35 @@
 	    </tag>
 	    <item>
 	      <p>
-		A package may also provide both of the targets
+		A package must also provide both of the targets
 		<tt>build-arch</tt> and <tt>build-indep</tt>.
-		The <tt>build-arch</tt> target, if provided, should
-		perform all the configuration and compilation required for
-		producing all architecture-dependant binary packages
-		(those packages for which the body of the
-		<tt>Architecture</tt> field in <tt>debian/control</tt> is
-		not <tt>all</tt>).  Similarly, the <tt>build-indep</tt>
-		target, if provided, should perform all the configuration
-		and compilation required for producing all
-		architecture-independent binary packages (those packages
-		for which the body of the <tt>Architecture</tt> field
+		The <tt>build-arch</tt> target should perform all the
+		configuration and compilation required for producing
+		all architecture-dependant binary packages (those
+		packages for which the body of the
+		<tt>Architecture</tt> field in <tt>debian/control</tt>
+		is not <tt>all</tt>).  Similarly,
+		the <tt>build-indep</tt> target, should perform all
+		the configuration and compilation required for
+		producing all architecture-independent binary packages
+		(those packages for which the body of
+		the <tt>Architecture</tt> field
 		in <tt>debian/control</tt> is <tt>all</tt>).
-		The <tt>build</tt> target should depend on those of the
-		targets <tt>build-arch</tt> and <tt>build-indep</tt> that
-		are provided in the rules file.<footnote>
-		  The intent of this split is so that binary-only builds
-		  need not install the dependencies required for
-		  the <tt>build-indep</tt> target.  However, this is not
-		  yet used in practice since <tt>dpkg-buildpackage
-		  -B</tt>, and therefore the autobuilders,
-		  invoke <tt>build</tt> rather than <tt>build-arch</tt>
-		  due to the difficulties in determining whether the
-		  optional <tt>build-arch</tt> target exists.
+		The <tt>build</tt> target should depend on
+		the <tt>build-arch</tt> and <tt>build-indep</tt>
+		targets.<footnote> The intent of this split is so
+		that binary-only builds need not install the
+		dependencies required for the <tt>build-indep</tt>
+		target.  However, this is not yet used in practice
+		since <tt>dpkg-buildpackage -B</tt>, and therefore the
+		autobuilders, invoke <tt>build</tt> rather
+		than <tt>build-arch</tt> due to the difficulties in
+		determining whether the optional <tt>build-arch</tt>
+		target exists.
 		</footnote>
 	      </p>
 
 	      <p>
-		If one or both of the targets <tt>build-arch</tt> and
-		<tt>build-indep</tt> are not provided, then invoking
-		<file>debian/rules</file> with one of the not-provided
-		targets as arguments should produce a exit status code
-		of 2.  Usually this is provided automatically by make
-		if the target is missing.
-	      </p>
-
-	      <p>
 		The <tt>build-arch</tt> and <tt>build-indep</tt> targets
 		must not do anything that might require root privilege.
 	      </p>
@@ -2006,13 +1999,13 @@
 	      <p>
 		Both <tt>binary-*</tt> targets should depend on the
 		<tt>build</tt> target, or on the appropriate
-		<tt>build-arch</tt> or <tt>build-indep</tt> target, if
-		provided, so that the package is built if it has not
-		been already.  It should then create the relevant
-		binary package(s), using <prgn>dpkg-gencontrol</prgn> to
-		make their control files and <prgn>dpkg-deb</prgn> to
-		build them and place them in the parent of the top
-		level directory.
+		<tt>build-arch</tt> or <tt>build-indep</tt> target, so
+		that the package is built if it has not been already.
+		It should then create the relevant binary package(s),
+		using <prgn>dpkg-gencontrol</prgn> to make their
+		control files and <prgn>dpkg-deb</prgn> to build them
+		and place them in the parent of the top level
+		directory.
 	      </p>
 
 	      <p>
